Bug 534192 - (RHQ-1011) rhq-server.sh / rhq-agent-wrapper.sh needs an option to forcibly kill it (-9)
rhq-server.sh / rhq-agent-wrapper.sh needs an option to forcibly kill it (-9)
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Launch Scripts (Show other bugs)
1.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 11:09 EDT by John Mazzitelli
Modified: 2009-06-29 15:23 EDT (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-10-22 11:09:00 EDT
Sometimes the server doesn't die with rhq-server.sh stop.

We need a "kill" or "abort" option - something that forces a "kill -9".

Same goes with rhq-agent-wrapper.sh
Comment 1 John Mazzitelli 2008-10-22 11:24:24 EDT
svn rev 1831.

both rhq-agent-wrapper.sh and rhq-server.sh support the kill option now
Comment 2 John Mazzitelli 2008-10-22 11:26:43 EDT
the "kill" option is the same as "stop" except it will issue a "-9" to kill to forcibly kill it.
Comment 3 Corey Welton 2008-12-10 12:46:23 EST
QA Verified, this new flag now exists and works for agent wrapper and rhq start scripts.
Comment 4 Red Hat Bugzilla 2009-11-10 15:21:50 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1011
This bug relates to RHQ-1325

Note You need to log in before you can comment on or make changes to this bug.